#ifndef macrolib_ibis_ceccs_pwl_ideal_INCLUDED
#define macrolib_ibis_ceccs_pwl_ideal_INCLUDED
#include "macrolib_ibis_ceccs_pwl.hpp"
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_ceccs_pwl_ideal.hpp"
#endif
#ifndef macrolib_ibis_ceccs_pwl_ideal_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_ceccs_pwl_ideal_export __declspec(dllimport)
#  else
#    define macrolib_ibis_ceccs_pwl_ideal_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace MACROLIB {
class macrolib_ibis_ceccs_pwl_ideal_export IBIS_CECCS_PWL_IDEAL : public IBIS_CECCS_PWL {
public:
typedef short (IBIS_CECCS_PWL_IDEAL::*T_ThunkMethod)(short);
static short smThunk(IBIS_CECCS_PWL_IDEAL *, T_ThunkMethod *, short);
ELECTRICAL_SYSTEMS_VOLTAGE VOUT;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VOUT;
ELECTRICAL_SYSTEMS_CURRENT IOUT;
ELECTRICAL_SYSTEMS_CURRENT mM1_IOUT;
ELECTRICAL_SYSTEMS_VOLTAGE VIN;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VIN;
ELECTRICAL_SYSTEMS_CURRENT IIN;
ELECTRICAL_SYSTEMS_CURRENT mM1_IIN;
STANDARD_INTEGER EVENTSTATE;
T_B3CIDispatcher *EVENTSTATE_dispatchers;
STANDARD_REAL_VECTOR XR_VEC;
STANDARD_REAL_VECTOR YR_VEC;
STANDARD_REAL_VECTOR XF_VEC;
STANDARD_REAL_VECTOR YF_VEC;
const STANDARD_REAL DC_THRESHOLD;
void *mCG1;
unsigned mF1 : 1;
static T_ThunkMethod smPthunk1;
short mP1(short);
unsigned mF2 : 1;
static T_ThunkMethod smPthunk2;
short mP2(short);
STANDARD_INTEGER_DriverHandle p1_EVENTSTATE_driver;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tP_through_qP_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tP_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tP_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportP_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tN_through_qN_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tN_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tN_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportN_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPS_through_qPS_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPS_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPS_through_qIIN_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPS_through_qIIN_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tNS_through_qNS_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tNS_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tNS_through_qIIN_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportNS_through_qIIN_smp;
double *exp_P_3[7];
double *exp_N_4[7];
double *exp_PS_5[7];
double *exp_NS_6[7];
STANDARD_BOOLEAN_DriverHandle IIN_ABOVE_7_driver;
STANDARD_BOOLEAN_DriverHandle IIN_ABOVE_8_driver;
STANDARD_BOOLEAN_DriverHandle IIN_ABOVE_9_driver;
#ifndef ELECTRICAL_SYSTEMS_VOLTAGE_e11_q10_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_VOLTAGE_e11_q10_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_VOLTAGE_e11_q10_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VOUT_across_VOUT_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VOUT_across_P_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VOUT_across_N_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_VIN_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_PS_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_NS_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_e11_q10_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e11_VINq10_smp;
ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e13_IOUTq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e14_IOUTq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e15_IOUTq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e16_IOUTq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e17_IOUTq12_smp;
static T_ThunkMethod smDthunk_IIN_ABOVE_7;
short mD_IIN_ABOVE_7(short);
static T_ThunkMethod smDthunk_IIN_ABOVE_8;
short mD_IIN_ABOVE_8(short);
static T_ThunkMethod smDthunk_IIN_ABOVE_9;
short mD_IIN_ABOVE_9(short);
static T_ThunkMethod smDthunk_EVENTSTATE;
short mD_EVENTSTATE(short);
STANDARD_BOOLEAN IIN_ABOVE_7; 
T_B3CIDispatcher *IIN_ABOVE_7_dispatchers; 
bool IIN_ABOVE_7_Control();
bool IIN_ABOVE_7_Initialize(double *);
STANDARD_BOOLEAN IIN_ABOVE_8; 
T_B3CIDispatcher *IIN_ABOVE_8_dispatchers; 
bool IIN_ABOVE_8_Control();
bool IIN_ABOVE_8_Initialize(double *);
STANDARD_BOOLEAN IIN_ABOVE_9; 
T_B3CIDispatcher *IIN_ABOVE_9_dispatchers; 
bool IIN_ABOVE_9_Control();
bool IIN_ABOVE_9_Initialize(double *);
short Elaborate(const char *, long);
short ElaborateDrivers(void);
short ElaborateDispatchers(void);
virtual short ElaborateConfiguration(const char *, long);
short Initialize(long, double *);
short Finalize(void);
short AmsLink(long, long **);
short AmsBim(long, TRANS_PARAM_BIM *, long **);
short AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
void CreateDispatchers(void);
void DeleteDispatchers(void);
public:
IBIS_CECCS_PWL_IDEAL();
virtual ~IBIS_CECCS_PWL_IDEAL();
};
extern "C" macrolib_ibis_ceccs_pwl_ideal_export short MACROLIB_IBIS_CECCS_PWL_IDEAL_Elaborate(T_B3CIHandle *, const char *, long);
extern "C" macrolib_ibis_ceccs_pwl_ideal_export short MACROLIB_IBIS_CECCS_PWL_IDEAL_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_ceccs_pwl_ideal_export short MACROLIB_IBIS_CECCS_PWL_IDEAL_Finalize(T_B3CIHandle inInstance);
extern "C" macrolib_ibis_ceccs_pwl_ideal_export short MACROLIB_IBIS_CECCS_PWL_IDEAL_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_ceccs_pwl_ideal_export short MACROLIB_IBIS_CECCS_PWL_IDEAL_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_ceccs_pwl_ideal_export short MACROLIB_IBIS_CECCS_PWL_IDEAL_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_ceccs_pwl_ideal_INCLUDED */
