#ifndef macrolib_ibis_opensink_ibis_1eq1uk_INCLUDED
#define macrolib_ibis_opensink_ibis_1eq1uk_INCLUDED
#include "macrolib_ibis_opensink.hpp"
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_opensink_ibis_1eq1uk.hpp"
#endif
#ifndef macrolib_ibis_opensink_ibis_1eq1uk_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_opensink_ibis_1eq1uk_export __declspec(dllimport)
#  else
#    define macrolib_ibis_opensink_ibis_1eq1uk_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace MACROLIB {
class macrolib_ibis_opensink_ibis_1eq1uk_export IBIS_OPENSINK_IBIS_1EQ1UK : public IBIS_OPENSINK {
public:
typedef short (IBIS_OPENSINK_IBIS_1EQ1UK::*T_ThunkMethod)(short);
static short smThunk(IBIS_OPENSINK_IBIS_1EQ1UK *, T_ThunkMethod *, short);
ELECTRICAL_SYSTEMS_VOLTAGE VPC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPC;
ELECTRICAL_SYSTEMS_CURRENT IPC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPC;
ELECTRICAL_SYSTEMS_VOLTAGE VPU;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPU;
ELECTRICAL_SYSTEMS_CURRENT IPU;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPU;
ELECTRICAL_SYSTEMS_VOLTAGE VPD;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPD;
ELECTRICAL_SYSTEMS_CURRENT IPD;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPD;
ELECTRICAL_SYSTEMS_VOLTAGE VGC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VGC;
ELECTRICAL_SYSTEMS_CURRENT IGC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IGC;
ELECTRICAL_SYSTEMS_VOLTAGE VIN;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VIN;
STANDARD_INTEGER PD_STATE;
T_B3CIDispatcher *PD_STATE_dispatchers;
ELECTRICAL_SYSTEMS_CURRENT KPD;
ELECTRICAL_SYSTEMS_CURRENT mM1_KPD;
const STANDARD_REAL C_COMP_VAL;
const STANDARD_REAL KC_COMP_PC_VAL;
const STANDARD_REAL KC_COMP_PU_VAL;
const STANDARD_REAL KC_COMP_PD_VAL;
const STANDARD_REAL KC_COMP_GC_VAL;
const STANDARD_REAL VPC_REF_VAL;
const STANDARD_REAL VPD_REF_VAL;
const STANDARD_REAL VGC_REF_VAL;
STANDARD_REAL_VECTOR IPC_VEC;
STANDARD_REAL_VECTOR VPC_VEC;
STANDARD_REAL_VECTOR IPD_VEC;
STANDARD_REAL_VECTOR VPD_VEC;
STANDARD_REAL_VECTOR IGC_VEC;
STANDARD_REAL_VECTOR VGC_VEC;
STANDARD_REAL_VECTOR VR1_VEC;
STANDARD_REAL_VECTOR TR1_VEC;
STANDARD_REAL_VECTOR VF1_VEC;
STANDARD_REAL_VECTOR TF1_VEC;
const STANDARD_REAL VFX_R1_VAL;
const STANDARD_REAL VFX_F1_VAL;
const STANDARD_REAL RFX_R1_VAL;
const STANDARD_REAL RFX_F1_VAL;
const STANDARD_INTEGER COMMONLENGTH;
class macrolib_ibis_opensink_ibis_1eq1uk_export K_ELEMENTS {
public:
typedef long BASETYPE;
T_B3CIHandle mHandle;
long mNode;
protected:
long mValue;
long mLastEventValue;
long mLastEventDeltaCycle;
T_B3CITimeL mLastEventTime;
T_B3CITimeL mLastActiveTime;
unsigned mDenseArray : 1;
public:
K_ELEMENTS();
K_ELEMENTS(const K_ELEMENTS&);
K_ELEMENTS(long);
K_ELEMENTS &operator =(const K_ELEMENTS&);
K_ELEMENTS &operator =(long);
operator long() const { return mValue; }
bool STABLE(T_B3CITimeL) const;
bool QUIET(T_B3CITimeL) const;
bool EVENT(void) const;
T_B3CITimeL LAST_EVENT_TIME(void) const;
T_B3CITimeA LAST_EVENT_REAL(void) const;
T_B3CITimeL LAST_ACTIVE(void) const;
long LAST_VALUE(void) const { return mLastEventValue; };
static long VALUE(const char *);
static const char *IMAGE(long);
bool Assign(long);
long GetValue(void) const { return mValue; };
unsigned long GetValue(char *, unsigned long) const;
bool IsDense(void) const { return mDenseArray; };
};
static long K_ELEMENTS_LEFT(void) { return 0L; }
static long K_ELEMENTS_RIGHT(void) { return 2L; }
static long K_ELEMENTS_HIGH(void) { return 2L; }
static long K_ELEMENTS_LOW(void) { return 0L; }
static bool K_ELEMENTS_ASCENDING(void) { return true; }

static long K_ELEMENTS_POS(long inValue) { return inValue; }
static long K_ELEMENTS_VAL(long);
static long IBIS_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_SUCC(long inValue) { return K_ELEMENTS_VAL(inValue + 1); }
static long IBIS_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_PRED(long inValue) { return K_ELEMENTS_VAL(inValue - 1); }
static long IBIS_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_LEFTOF(long inValue) { return K_ELEMENTS_VAL(inValue + 1); }
static long IBIS_OPENSINK_IBIS_1EQ1UK::K_ELEMENTS_RIGHTOF(long inValue) { return K_ELEMENTS_VAL(inValue - 1); }
class macrolib_ibis_opensink_ibis_1eq1uk_export K_ELEMENTS_RANGE {
public:
static long LEFT(void) { return 0L /* TCM */; }
static long RIGHT(void) { return 2L /* KF1 */; }
static bool ASCENDING(void) { return true; }
};
typedef T_B3CIHandle K_ELEMENTS_DriverHandle;
static short K_ELEMENTS_Assign(T_B3CIHandle,   const T_B3CIValue *);
static short K_ELEMENTS_GetValue(T_B3CIHandle, T_B3CIValue *);
static unsigned long K_ELEMENTS_GetStringValue(T_B3CIHandle, char *, unsigned long);
static bool eq_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 == inArg2); }
static bool ne_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 != inArg2); }
static bool gt_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 > inArg2); }
static bool ge_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 >= inArg2); }
static bool lt_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 < inArg2); }
static bool le_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 <= inArg2); }
DefineArrayArray(K_TABLES_TYPE, STANDARD_REAL_VECTOR, K_ELEMENTS_RANGE, macrolib_ibis_opensink_ibis_1eq1uk_export);
typedef STANDARD_REAL_VECTOR_DriverHandle *K_TABLES_TYPE_DriverHandle;
typedef STANDARD_REAL_VECTOR_MatrixPointer *K_TABLES_TYPE_MatrixPointer;
static bool eq_K_TABLES_TYPE_K_TABLES_TYPE_BOOLEAN(const K_TABLES_TYPE &L, const K_TABLES_TYPE &R) { return (L == R); }
static bool ne_K_TABLES_TYPE_K_TABLES_TYPE_BOOLEAN(const K_TABLES_TYPE &L, const K_TABLES_TYPE &R) { return (L != R); }
static unsigned long K_TABLES_TYPE_GetStringValue(T_B3CIHandle, char *, unsigned long);
DefineArrayArray(K_TABLES_TYPE_QDELAYED_LIST, STANDARD_REAL_VECTOR_QDELAYED_LIST, K_ELEMENTS_RANGE, macrolib_ibis_opensink_ibis_1eq1uk_export);
K_TABLES_TYPE COEFF_INTEGER_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_K_TABLES_TYPE(IBIS_OPENSINK_IBIS_1EQ1UK *inParent, const long , const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const double , const double , const double , const double , const double , const double , const double , const double );
K_TABLES_TYPE KTABLES;
const STANDARD_REAL DC_THRESHOLD;
void *mCG1;
unsigned mF1 : 1;
static T_ThunkMethod smPthunk1;
short mP1(short);
unsigned mF2 : 1;
static T_ThunkMethod smPthunk2;
short mP2(short);
STANDARD_INTEGER_DriverHandle p1_PD_STATE_driver;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_through_qPU_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPU_REF_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_through_qPD_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPD_REF_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qPAD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tIN_D_through_qIN_D_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tIN_D_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qPC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qGC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportGC_REF_through_qIGC_smp;
double *exp_PU_REF_3[7];
double *exp_PD_REF_4[7];
double *exp_PAD_5[7];
double *exp_IN_D_6[7];
double *exp_PC_REF_7[7];
double *exp_GC_REF_8[7];
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_9_driver;
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_10_driver;
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_11_driver;
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e19_q18_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e19_q18_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e19_q18_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e19_q20_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e19_q20_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e19_q20_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e22_q21_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e22_q21_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e22_q21_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e24_q23_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e24_q23_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e24_q23_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e24_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e24_q12_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e24_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e24_q25_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e24_q25_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e24_q25_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e27_q26_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e27_q26_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e27_q26_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e27_q28_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e27_q28_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e27_q28_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_VPC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPU_across_VPU_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPU_across_PU_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPU_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_VPD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_PD_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_VGC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_GC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_VIN_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_IN_D_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_ELECTRICAL_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_e13_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e13_KPDq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e14_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e14_KPDq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e15_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e15_KPDq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e16_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e16_KPDq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e17_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e17_KPDq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e19_q18_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e19_IPCq18_smp;
ELECTRICAL_SYSTEMS_CURRENT_e19_q20_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e19_VPCq20_smp;
ELECTRICAL_SYSTEMS_CURRENT_e22_q21_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e22_IPUq21_smp;
ELECTRICAL_SYSTEMS_CURRENT_e24_q23_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e24_IPDq23_smp;
ELECTRICAL_SYSTEMS_CURRENT_e24_q12_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e24_KPDq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e24_q25_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e24_VPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e27_q26_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e27_IGCq26_smp;
ELECTRICAL_SYSTEMS_CURRENT_e27_q28_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e27_VGCq28_smp;
static T_ThunkMethod smDthunk_VIN_ABOVE_9;
short mD_VIN_ABOVE_9(short);
static T_ThunkMethod smDthunk_VIN_ABOVE_10;
short mD_VIN_ABOVE_10(short);
static T_ThunkMethod smDthunk_VIN_ABOVE_11;
short mD_VIN_ABOVE_11(short);
static T_ThunkMethod smDthunk_PD_STATE;
short mD_PD_STATE(short);
STANDARD_BOOLEAN VIN_ABOVE_9; 
T_B3CIDispatcher *VIN_ABOVE_9_dispatchers; 
bool VIN_ABOVE_9_Control();
bool VIN_ABOVE_9_Initialize(double *);
STANDARD_BOOLEAN VIN_ABOVE_10; 
T_B3CIDispatcher *VIN_ABOVE_10_dispatchers; 
bool VIN_ABOVE_10_Control();
bool VIN_ABOVE_10_Initialize(double *);
STANDARD_BOOLEAN VIN_ABOVE_11; 
T_B3CIDispatcher *VIN_ABOVE_11_dispatchers; 
bool VIN_ABOVE_11_Control();
bool VIN_ABOVE_11_Initialize(double *);
short Elaborate(const char *, long);
short ElaborateDrivers(void);
short ElaborateDispatchers(void);
virtual short ElaborateConfiguration(const char *, long);
short Initialize(long, double *);
short Finalize(void);
short AmsLink(long, long **);
short AmsBim(long, TRANS_PARAM_BIM *, long **);
short AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
void CreateDispatchers(void);
void DeleteDispatchers(void);
public:
IBIS_OPENSINK_IBIS_1EQ1UK();
virtual ~IBIS_OPENSINK_IBIS_1EQ1UK();
};
extern "C" macrolib_ibis_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_OPENSINK_IBIS_1EQ1UK_Elaborate(T_B3CIHandle *, const char *, long);
extern "C" macrolib_ibis_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_OPENSINK_IBIS_1EQ1UK_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_OPENSINK_IBIS_1EQ1UK_Finalize(T_B3CIHandle inInstance);
extern "C" macrolib_ibis_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_OPENSINK_IBIS_1EQ1UK_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_OPENSINK_IBIS_1EQ1UK_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_opensink_ibis_1eq1uk_export short MACROLIB_IBIS_OPENSINK_IBIS_1EQ1UK_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_opensink_ibis_1eq1uk_INCLUDED */
