#ifndef macrolib_ibis_vecvs_pwl_INCLUDED
#define macrolib_ibis_vecvs_pwl_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_vecvs_pwl.hpp"
#endif
#ifndef macrolib_ibis_vecvs_pwl_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_vecvs_pwl_export __declspec(dllimport)
#  else
#    define macrolib_ibis_vecvs_pwl_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
#include "macrolib_macrolib_functions.hpp"
using namespace MACROLIB;
namespace MACROLIB
{
class macrolib_ibis_vecvs_pwl_export IBIS_VECVS_PWL {
public:
const char *mInstanceName;
static char smGF[9];
char mGF[9];
static STANDARD_REAL smGV0;
const STANDARD_REAL VTH_R;
static STANDARD_REAL smGV1;
const STANDARD_REAL VTH_F;
static STANDARD_REAL smGV2;
const STANDARD_REAL SCALE;
static STANDARD_REAL_VECTOR *smGV3;
STANDARD_REAL_VECTOR &XR_DATA;
static STANDARD_REAL_VECTOR *smGV4;
STANDARD_REAL_VECTOR &YR_DATA;
static STANDARD_REAL_VECTOR *smGV5;
STANDARD_REAL_VECTOR &XF_DATA;
static STANDARD_REAL_VECTOR *smGV6;
STANDARD_REAL_VECTOR &YF_DATA;
static STANDARD_STRING *smGV7;
STANDARD_STRING &DATAFILE;
static STANDARD_INTEGER smGV8;
const STANDARD_INTEGER MAX_LENGTH;
static char smPF[4];
static short smPT[4];
static const char *smAN[4];
char mPF[4];
short mPT[4];
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV0;
ELECTRICAL_SYSTEMS_ELECTRICAL &P;
static double smPE0;
double mPE0;
T_B3CIDispatcher *P_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV1;
ELECTRICAL_SYSTEMS_ELECTRICAL &N;
static double smPE1;
double mPE1;
T_B3CIDispatcher *N_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV2;
ELECTRICAL_SYSTEMS_ELECTRICAL &PS;
static double smPE2;
double mPE2;
T_B3CIDispatcher *PS_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV3;
ELECTRICAL_SYSTEMS_ELECTRICAL &NS;
static double smPE3;
double mPE3;
T_B3CIDispatcher *NS_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_VECVS_PWL();
virtual ~IBIS_VECVS_PWL();
};
extern "C" macrolib_ibis_vecvs_pwl_export const char *MACROLIB_IBIS_VECVS_PWL_GetGenericName(short);
extern "C" macrolib_ibis_vecvs_pwl_export const char *MACROLIB_IBIS_VECVS_PWL_GetPortName(short);
extern "C" macrolib_ibis_vecvs_pwl_export void MACROLIB_IBIS_VECVS_PWL_InitStaticGenericPort(void);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_vecvs_pwl_export short MACROLIB_IBIS_VECVS_PWL_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_vecvs_pwl_INCLUDED */
